Page MenuHomePhabricator

"Maximum execution time of 10 seconds exceeded" in operations/mediawiki-config
Closed, ResolvedPublic

Description

https://phabricator.wikimedia.org/diffusion/OMWC/browse/master/wmf-config/InitialiseSettings.php triggers:

>>> UNRECOVERABLE FATAL ERROR <<<

Maximum execution time of 10 seconds exceeded

/srv/phab/libphutil/src/markup/syntax/highlighter/xhpast/PhutilXHPASTSyntaxHighlighterFuture.php:119


┻━┻ ︵ ¯\_(ツ)_/¯ ︵ ┻━┻

See Also:
T112776: Implement phabricator database clustering support
T125357: /maniphest/report/project/ : Maximum execution time of 10 seconds exceeded

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added subscribers: StudiesWorld, scfc, Aklapper. · View Herald TranscriptDec 17 2015, 12:09 AM
Luke081515 triaged this task as Normal priority.Jan 12 2016, 9:23 PM
Luke081515 moved this task from To Triage to Misc on the Phabricator board.
Luke081515 added a subscriber: Luke081515.
Aklapper updated the task description. (Show Details)
Aklapper set Security to None.
Aklapper added a subscriber: Nemo_bis.
mmodell added a subscriber: mmodell.Feb 4 2016, 3:55 PM

This is a known issue with large files with lots of history.

Aklapper closed this task as Resolved.Apr 27 2016, 11:21 AM
Aklapper claimed this task.

The problem does not happen anymore with the given example.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 27 2016, 11:21 AM